﻿/*========== HTML Tags =================================================*/

a {
    color: #2E2D6B;
    text-decoration: none;
}

    a:hover {
        color: whitesmoke;
        background-color: #2E2D6B;
        text-decoration: none;
    }

h1, h2, h3 {
    line-height: 1.2em;
    margin: 0;
}

h1 {
    font-size: 160%;
    font-weight: normal;
}

h2 {
    color: #2E2D6B;
    font-size: 130%;
    font-weight: Bold;
    text-transform: uppercase;
}

h3 {
    font-size: 130%;
    font-weight: Bold;
}

p {
    margin: 0;
    padding-top: 5px;
}

/*========== End HTML Tags =============================================*/


/*========== Page Structure ============================================*/

body {
    color: #666;
    font-family: Verdana, "Trebuchet MS", Arial, Helvetica, sans-serif;
    font-size: smaller;
    margin: 0;
    padding: 0;
}

#buttons {
    display: block;
    padding-top: 10px;
    /*border: 3px solid green;*/
}

#content-wrap {
    width: auto;
    margin: 0 auto;
    /*border: 3px solid green;*/
}

#datatable {
    overflow-x: auto;
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

    .datatable td, #datatable th {
        border: 1px solid #ddd;
        padding: 8px;
    }

.datatable tr:nth-child(even) {
    background-color: #f2f2f2;
}

.datatable tr:hover {
    background-color: #ddd;
}

.datatable th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #808080;
    color: white;
}


.gvstyle {
    overflow-x: auto;
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

    .gvstyle th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: #808080;
        color: white;
    }

#addtnlnotes {
    display: inline-table;
    vertical-align: top;
    padding-top: 20px;
    /*border: 3px solid green;*/
}

#addtnlsales {
    display: inline-table;
    vertical-align: top;
    padding-top: 20px;
    /*border: 3px solid green;*/
}

#prospect {
    display: inline-table;
    vertical-align: top;
    padding-top: 20px;
    /*border: 3px solid green;*/
}

#result {
    display: inline-table;
    vertical-align: top;
    padding-top: 20px;
}

#welcome {
    margin-top: 20px;
}

/*========== End Page Structure ========================================*/


/*========== Header Styling ============================================*/

#header {
}

    #header h1#logo-text {
        color: black;
        font-size: x-large;
        font-weight: bold;
        letter-spacing: -1px;
    }

    #header h2#app-title {
        color: black;
        font-size: large;
        font-weight: bold;
    }

#logo {
    display: inline-block;
    /*background: url(images/logo.png) no-repeat;*/
    /*width: 230px;*/
    /*height: 70px;*/
    background: url(images/logo.png) no-repeat;
    width: 226px;
    height: 77px;
}

/*========== End Header Styling ========================================*/


/*========== Start Navigation Styling ==================================*/

.cmd_button {
    width: 100px;
    margin: 5px;
}

.topnav {
    overflow: hidden;
    background-color: #333;
    color: white;
}

    .topnav a {
        float: left;
        display: block;
        color: white;
        text-align: center;
        padding: 7px 8px;
        text-decoration: none;
        font-size: 17px;
    }

    .topnav .active {
        background-color: #066341;
        /*background-color: rgba(37, 99, 235);*/
        color: white;
    }

    .topnav .icon {
        display: none;
    }

.dropdown {
    float: left;
    overflow: hidden;
}

    .dropdown .dropbtn {
        font-size: 17px;
        border: none;
        outline: none;
        color: white;
        padding: 7px 8px;
        background-color: inherit;
        font-family: inherit;
        margin: 0;
    }

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

    .dropdown-content a {
        float: none;
        color: black;
        padding: 6px 8px;
        text-decoration: none;
        display: block;
        text-align: left;
    }

.topnav a:hover, .dropdown:hover .dropbtn {
    background-color: #808080;
    color: white;
}

.dropdown-content a:hover {
    background-color: #ddd;
    color: black;
}

.dropdown:hover .dropdown-content {
    display: block;
}

/*========== End Navigation Styling ====================================*/


/*========== Login Section Styling =====================================*/

#credentials {
    table-layout: fixed;
    border-collapse: collapse;
    width: 300px;
    padding-top: 70px;
    margin: 0 auto;
}

    #credentials h2#title {
        color: black;
        font-size: large;
        font-weight: bold;
        text-align: left;
    }

/*========== End Header Styling ========================================*/


/*========== User Input Area Wrapper ===================================*/

form {
    margin: 10px 10px 0 10px;
}

.errorlabel {
    display: inline-block;
    float: right;
    width: 280px;
    height: auto;
    color: Red;
}

.input_label {
    display: inline-block;
    width: 110px;
    text-align: right;
}

.input_lbl_narrow {
    display: inline-block;
    width: 80px;
    text-align: right;
}

input, textarea {
    box-sizing: border-box;
    margin: 5px 0px 5px 0px;
}

.label_bold {
    display: inline-block;
    text-align: left;
    font-weight: bold;
}

.label_generic {
    display: inline-block;
    text-align: left;
    vertical-align: text-top;
}

.label_req {
    background-color: azure;
    color: black;
    border: solid;
    border-width: thin;
    margin: 5px;
}

/*========== User Input Area Wrapper ===================================*/



/* Styles for screens with a maximum width of 600 pixels (mobile devices) */
@media (max-width: 600px) {
    /* Add your mobile styles here */

    .combobox {
        width: 200px;
        overflow: hidden;
        margin: 5px 0px 5px 0px;
        box-sizing: border-box;
    }

    .input_multi {
        width: 200px;
        height: 80px;
        overflow: hidden;
        margin: 5px 0px 5px 0px;
    }

    .input_text {
        width: 100px;
        display: inline-block;
        overflow: hidden;
        margin: 5px 0px 5px 0px;
    }

    .input_text_req {
        width: 100px;
        display: inline-block;
        overflow: hidden;
        margin: 5px 0px 5px 0px;
        background-color:lightblue;
    }


    #addtnlnotes {
        width: 315px;
    }

    #addtnlsales {
        width: 315px;
    }
}

/* Styles for screens with a minimum width of 601 pixels (desktop devices) */
@media (min-width: 601px) {
    /* Add your desktop styles here */

    .combobox {
        width: 240px;
        margin: 5px 0px 5px 0px;
        /* box-sizing: border-box; */
        display: inline-block;
    }

    .input_multi {
        width: 240px;
        height: 80px;
        overflow: hidden;
        margin: 5px 0px 5px 0px;
    }

    .input_text {
        width: 240px;
        display: inline-block;
        overflow: hidden;
        margin: 5px 0px 5px 0px;
    }

    .input_text_req {
        width: 240px;
        display: inline-block;
        overflow: hidden;
        margin: 5px 0px 5px 0px;
        background-color: azure;
    }

    #addtnlnotes {
        width: 70%;
    }

    #addtnlsales {
        width: 70%;
    }
}
